
eServices - Bug #65

Update action - Owner details section

07/14/2016 09:25 AM - Saja Nakhleh

Status: Closed Start date: 07/14/2016

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: 1- ID No. field should is always

mandatory, even if the Owner type is

NOT individual, observe Evidence [6.gif]

2- If the owner name is changed then it

is NOT changed on the transactions'

view, observe Evidence [7.gif]

Severity: Normal Environment: Development

Category: Compensation Transaction Number: 4022016001824337

Sub-Category: Worklist Username: ahhumaid

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result: 1- ID No. field should NOT be

mandatory, except if the Owner type is

individual 

2- If the owner name is changed then it

should be changed on the transactions'

view

Test Case ID:  

Description

Pre-Condition:

1- Create a Compensation transaction and submit it

2- Open it using [Receptionist] user

Steps:

1- Open the transaction and select a record from the Owner Details section

2- click Update

3- Select [GCC investor] from [Owner Type] dropdown list

4- Observe the ID No. field

5- Change the owner name to any value

6- Click Save

7- Observe the owner name on the transactions view

History

#1 - 07/14/2016 03:10 PM - Hazem Shoushari

- Status changed from Open to Fixed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

- Environment Development added

- Environment deleted (QA)

#2 - 07/19/2016 03:16 PM - Saja Nakhleh

- File 40.GIF added

- Assignee changed from Saja Nakhleh to Hazem Shoushari
1- ID No. is mandatory only if the owner type is individual

ID No. is 15 characters if the  owner type is: individual, Government, Company

ID No. accepts ANY number of values if the owner type is: GCC Investor, Non-resident Investor

2- Owner name cannot be changed as it's a Core behavior ( approved by Saad)

#3 - 07/19/2016 04:25 PM - Hazem Shoushari

- Assignee changed from Hazem Shoushari to Saja Nakhleh

- % Done changed from 0 to 100

#4 - 07/20/2016 02:57 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Hazem Shoushari

1- As the new changes on the SRS; The [Owner type] should be read only, and cannot be edited

2- ID No.

- ID No. is mandatory only if the owner type is individual

- ID No. is 15 characters if the owner type is: individual, Government, Company

- ID No. accepts ANY number of values if the owner type is: GCC Investor, Non-resident Investor

#5 - 08/31/2016 12:22 PM - Saja Nakhleh

- File 102.GIF added

#6 - 09/27/2016 10:26 AM - Saja Nakhleh

- File 135.GIF added

- Status changed from Fixed to Feedback

- Transaction Number changed from 4022016001818600 to 4022016001824337

All the issues have been verified.

A new issue has been occurred:

If the user type is individual, then the ID No. is Updated, it will accept any number of characters

Where the ID No. field should accept 15 characters ONLY IF the user type is Individual !

Evidence #135, TRX #: 4022016001824337

#7 - 09/28/2016 12:17 PM - Saja Nakhleh

- File 136.GIF added

- Status changed from Feedback to Closed

- Assignee changed from Hazem Shoushari to Saja Nakhleh

Tested and verified. Kindly consider the evidence

Files

7.gif 185 KB 07/14/2016 Saja Nakhleh

6.GIF 27.6 KB 07/14/2016 Saja Nakhleh

40.GIF 25.2 KB 07/19/2016 Saja Nakhleh

102.GIF 140 KB 08/31/2016 Saja Nakhleh

135.GIF 25 KB 09/27/2016 Saja Nakhleh
http://185.98.225.148:8089/redmine/issues/135


136.GIF 58.4 KB 09/28/2016 Saja Nakhleh
